MAJ Bug 1.48->1.49

Post Reply
Aleks
Posts: 6
Joined: 15 Jun 2021, 09:06

MAJ Bug 1.48->1.49

Post by Aleks »

Bonjour à tous,

J'ai une erreur lorsque je passe de la version 1.48 à 1.49.

j'ai bien remplacé tous les fichier sauf database.inc
Permissions smarty : OK

J'obtiens un résultat positif concernant la nouvelle version puis après le message ci-dessous :

Code: Select all

RESULTAT DE LA MISE A JOUR

Upgrading to version 1.49.00
Failed to upgrade database, please contact support@soplanning.org with full details.
upgrade failed :
1.49.00
request failed :
INSERT INTO `planning_config` VALUES('SEMAPHORE_ACTIVATED', '0', 'Activated in order to avoid periode_id crossing when creating a lot of tasks at the same time')

Cliquez ici pour vous reconnecter
j'ai essayé d’insérer manuellement la ligne SEMAPHORE_ACTIVATED mais l'erreur est toujours présente.

Connaissez vous le solution ?

Alex
Aleks
Posts: 6
Joined: 15 Jun 2021, 09:06

Re: MAJ Bug 1.48->1.49

Post by Aleks »

En supprimant la ligne ci-dessous du fichier sql/update/update-1-49-00.txt cela fonctionne :

Code: Select all

INSERT INTO `planning_config` VALUES('SEMAPHORE_ACTIVATED', '0', 'Activated in order to avoid periode_id crossing when creating a lot of tasks at the same time');
solution temporaire... Pourquoi ce fichier est-il encore appelé après l'installation ?
soplanning
Site Admin
Posts: 326
Joined: 31 Aug 2017, 15:58

Re: MAJ Bug 1.48->1.49

Post by soplanning »

il n'est appelé que lors de la mise à jour. mais si la mise à jour ne se passe pas bien, soplanning tente de la refaire à nouveau. donc ça coinçait car cette ligne avait probablement déjà été effectuée avant la mise à jour, ou a planté juste à cette ligne.
bref, vous ne serez plus embêté.
Post Reply